QScintilla 2.8.1

- Main Page
- Classes
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
QsciCommandSet Class Reference

`#include <qscicommandset.h>`

List of all members.

## Public Member Functions

- bool readSettings (QSettings &qs, const char *prefix="/Scintilla")
- bool writeSettings (QSettings &qs, const char *prefix="/Scintilla")
- QPtrList< QsciCommand > & commands ()
- void clearKeys ()
- void clearAlternateKeys ()
- QsciCommand * boundTo (int key) const
- QsciCommand * find (QsciCommand::Command command) const

## Detailed Description

The QsciCommandSet class represents the set of all internal editor commands that may have keys bound.

Methods are provided to access the individual commands and to read and write the current bindings from and to settings files.

## Member Function Documentation

bool QsciCommandSet::readSettings | ( | QSettings & | qs,
|  | const char * | prefix = `"/Scintilla"`
| ) |  |

The key bindings for each command in the set are read from the settings qs. prefix is prepended to the key of each entry. true is returned if there was no error.

See also:
  writeSettings()

bool QsciCommandSet::writeSettings | ( | QSettings & | qs,
|  | const char * | prefix = `"/Scintilla"`
| ) |  |

The key bindings for each command in the set are written to the settings qs. prefix is prepended to the key of each entry. true is returned if there was no error.

See also:
  readSettings()